Subject: RE: bug#36454: 26.2.90; feature request - Insert char by hex tab completion or C-x 8 RET ffe <TAB>

From: Drew Adams <[email-masked]>
Date: Mon, 15 Jul 2019 12:29:04 -0700 (PDT)

> > There's no problem with allowing completion against both char names
> > and hex code points.
> 
> Well I think there may be - how do you distinguish "ffe" as part of
> hex code from Unicode name ("GIRAFFE FACE") or "20" as part of hex
> code from Unicode name "EGYPTIAN HIEROGLYPH A020"?  With method 1. or
> 2., i.e. just typing name or hex code, you can't, and only one type of
> completion can be made - Unicode name, because it's probably more
> reasonable.  And this is why I proposed to make hex (or any other)
> code completion available through 3rd method.

You don't need to distinguish them.  You don't
care which part matches "ffe" or "20".  You
don't even care if both name and code point
should happen to match the same pattern.  All
you care about is being able to match the info
about the char: its name or code point.

The completion candidates need to be, _in effect_,
the concatenation of the char name and the code point.

(I wrote: "But of course you'll want to use a
substring completion style.")